Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 532163 - Review Request: crosstool-ng - Build toolchains for cross-compilation
Summary: Review Request: crosstool-ng - Build toolchains for cross-compilation
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 502699 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-10-31 00:32 UTC by Oron Peled
Modified: 2013-01-25 13:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:21:18 UTC


Attachments (Terms of Use)

Description Oron Peled 2009-10-31 00:32:03 UTC
Spec URL: http://oron.fedorapeople.org/crosstool-ng/crosstool-ng.spec
SRPM URL: http://oron.fedorapeople.org/crosstool-ng/crosstool-ng-1.5.0-1.fc11.src.rpm

-- cut -----------------------------------------------------------
Description: Build toolchains for cross-compilation
Crosstool Next Generation is all-in-one solution for generating
toolchains for cross-compilation.

The tool allows a developer to select and build specific versions
of the tools (gcc, g++, glibc/eglibc, etc.)

Samples of working configurations are included and can be located
in the /usr/share/ct-ng-1.5.0/samples directory.
-- cut -----------------------------------------------------------

rpmlint results:
 * devel-file-in-non-devel-package -- 21 times:
   - The relevant files are used by crosstool-ng during runtime, when
     it build the toolchain configured by the developer.
   - Since crosstool-ng is itself a development tool, there is no point
     in naming it crosstool-ng-devel (since there won't be any crosstool-ng
     base package).
   - This is very similar to MinGW guidelines:
      http://fedoraproject.org/wiki/MinGW/Rpmlint
 * non-executable-script -- 5 times:
   - These are actually script templates which are configured by crosstool-ng
     during the toolchain building process.
   - I initially patched crosstool-ng so they'll be executable. However,
     after talking with upstream I was convinced to drop this patch.
     The relevant mail thread start here:
       http://sourceware.org/ml/crossgcc/2009-10/msg00025.html

Comment 1 Stewart Adam 2010-01-18 20:58:23 UTC
Duplicate of 502699?

Comment 2 Oron Peled 2010-01-18 22:08:32 UTC
Hmmm... yes, but looks like the original packager got tired of waiting ;-)

Anyone for review? Just step in and I'll bump it to the "just-released" 1.5.3

Thanks,

Comment 3 Oron Peled 2010-01-26 09:35:53 UTC
*** Bug 502699 has been marked as a duplicate of this bug. ***

Comment 4 Felipe Contreras 2010-08-10 10:37:37 UTC
Looks like you are missing $RPM_OPT_FLAGS.

Comment 5 Oron Peled 2010-08-10 14:45:03 UTC
Thanks,

1. I'll add it when packaging new upstream version (they just released 1.8.x)
2. Do you want to review it?

Comment 6 Felipe Contreras 2010-08-10 15:00:45 UTC
Well, I already reviewed this, I don't see anything else wrong.

BTW. I'm no packager.

Comment 7 Jason Tibbitts 2010-11-03 17:41:32 UTC
This fails to build for me:

Checking for 'lzma'... no
lzma: none found
Either you are missing entirely the needed tool,
or the version you have is too old.
configure: Bailing out...

A scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=2574836

Please clear the Whiteboard if providing a version which builds.

Comment 8 Oron Peled 2010-11-06 22:37:39 UTC
New Spec:
 http://oron.fedorapeople.org/crosstool-ng/crosstool-ng.spec
New SRPM:
 http://oron.fedorapeople.org/crosstool-ng/crosstool-ng-1.9.0-1.fc14.src.rpm

 * Bumped to latest stable upstream (1.9.0)
 * Added missing lzma BR
 * Built on F-14

I'm now trying to use it to build the same (old) toolchain as I built with
crosstool-ng-1.4.2 on F-11 (for validation). This will take some time.


Note You need to log in before you can comment on or make changes to this bug.